Packages

List packages according to specified search criteria

GET /api/{spaceId}/feeds/{feedId}/packages

Also reachable at /api/feeds/{feedId}/packages, /api/spaces/{spaceIdentifier}/feeds/{feedId}/packages.

Path Parameters

  • feedId string (required)
  • spaceId string (required)

Query Parameters

  • descriptionsOptional boolean
  • includeMultipleVersions boolean
  • includeNotes boolean
  • includePreRelease boolean
  • includeWorkItems boolean
  • packageId string
  • packageIds array of string
  • partialMatch boolean
  • preReleaseTag string
  • take integer
  • versionRange string
  • versionTagRegex string
    Applied to the full version string when set.
  • versioningStrategy string
    SemVer or MostRecentlyPublished.

Response

200 — The requested Packages

  • Description string
  • FeedId string
  • FileExtension string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NuGetFeedId string
  • NuGetPackageId string
  • PackageId string
  • PackageVersionBuildInformation object
    • Branch string
    • BuildEnvironment string
    • BuildNumber string
    • BuildUrl string
    • Commits array of object
    • Created string
      Format date-time.
    • Id string
      Gets or sets a unique identifier for this resource.
    • IncompleteDataWarning string
    • IssueTrackerName string
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • PackageId string
    • VcsCommitNumber string
    • VcsCommitUrl string
    • VcsRoot string
    • VcsType string
    • Version string
    • WorkItems array of object
  • Published string
    Format date-time.
  • ReleaseNotes string
  • Summary string
  • Title string
  • Version string

Example Response

JSON
[
  {
    "Description": "string",
    "FeedId": "string",
    "FileExtension": "string",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "NuGetFeedId": "string",
    "NuGetPackageId": "string",
    "PackageId": "string",
    "PackageVersionBuildInformation": {
      "Branch": "string",
      "BuildEnvironment": "string",
      "BuildNumber": "string",
      "BuildUrl": "string",
      "Commits": [
        {}
      ],
      "Created": "2020-01-01T00:00:00.000Z",
      "Id": "string",
      "IncompleteDataWarning": "string",
      "IssueTrackerName": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "PackageId": "string",
      "VcsCommitNumber": "string",
      "VcsCommitUrl": "string",
      "VcsRoot": "string",
      "VcsType": "string",
      "Version": "string",
      "WorkItems": [
        {}
      ]
    },
    "Published": "2020-01-01T00:00:00.000Z",
    "ReleaseNotes": "string",
    "Summary": "string",
    "Title": "string",
    "Version": "string"
  }
]

Get the release notes for the specified package

GET /api/{spaceId}/feeds/{feedId}/packages/notes

Also reachable at /api/feeds/{feedId}/packages/notes, /api/spaces/{spaceIdentifier}/feeds/{feedId}/packages/notes.

Path Parameters

  • feedId string (required)
    ID of the Feed.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • packageId string (required)
    ID of the package.
  • version string (required)
    Version of the package.

Response

200 — The requested Package Notes

Example Response

JSON
"string"

Get the built in packages

GET /api/{spaceId}/packages

Also reachable at /api/packages, /api/spaces/{spaceIdentifier}/packages.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • filter string
    Only return the latest versions of packages which contain this value, if specified.
  • includeNotes boolean
    Include release notes in the response.
  • includeWorkItems boolean
  • latest boolean
    Indicates whether or not to only return the latest version of any packages found.
  • nuGetPackageId string
    Return versions of the NuGet package with this id, if specified.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested list of Built-in Packages

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Description string
    • FeedId string
    • FileExtension string
    • Hash string
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • NuGetFeedId string
    • NuGetPackageId string
    • PackageId string
    • PackageSizeBytes integer
    • PackageVersionBuildInformation object
    • Published string
      Format date-time.
    • ReleaseNotes string
    • Summary string
    • Title string
    • Version string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "FeedId": "string",
      "FileExtension": "string",
      "Hash": "string",
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "NuGetFeedId": "string",
      "NuGetPackageId": "string",
      "PackageId": "string",
      "PackageSizeBytes": 0,
      "PackageVersionBuildInformation": {
        "Branch": "string",
        "BuildEnvironment": "string",
        "BuildNumber": "string",
        "BuildUrl": "string",
        "Commits": [
          {}
        ],
        "Created": "2020-01-01T00:00:00.000Z",
        "Id": "string",
        "IncompleteDataWarning": "string",
        "IssueTrackerName": "string",
        "LastModifiedBy": "string",
        "LastModifiedOn": "2020-01-01T00:00:00.000Z",
        "Links": {},
        "PackageId": "string",
        "VcsCommitNumber": "string",
        "VcsCommitUrl": "string",
        "VcsRoot": "string",
        "VcsType": "string",
        "Version": "string",
        "WorkItems": [
          {}
        ]
      },
      "Published": "2020-01-01T00:00:00.000Z",
      "ReleaseNotes": "string",
      "Summary": "string",
      "Title": "string",
      "Version": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Bulk delete Packages

DELETE /api/{spaceId}/packages/bulk

Also reachable at /api/packages/bulk, /api/spaces/{spaceIdentifier}/packages/bulk.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • Ids array of string (required)
    Ids of the Packages to delete.
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

Example Request

JSON
{
  "Ids": [
    "string"
  ],
  "SpaceId": "string"
}

Bulk delete Packages

DELETE /api/{spaceId}/packages/bulk/v1

Also reachable at /api/packages/bulk/v1, /api/spaces/{spaceIdentifier}/packages/bulk/v1.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • Ids array of string (required)
    Ids of the Packages to delete.
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the Packages were deleted

Example Request

JSON
{
  "Ids": [
    "string"
  ],
  "SpaceId": "string"
}

Example Response

JSON
{}

Request a list of Release Notes for the specified Packages

GET /api/{spaceId}/packages/notes

Also reachable at /api/packages/notes, /api/spaces/{spaceIdentifier}/packages/notes.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • packageIds array of string
    List of package IDs.

Response

200 — The requested list of Notes

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Packages array of object
    • FeedId string
    • Notes object
    • PackageId string
    • Version string

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Packages": [
    {
      "FeedId": "string",
      "Notes": {
        "DisplayMessage": "string",
        "FailureReason": "string",
        "Notes": "string",
        "Published": "2020-01-01T00:00:00.000Z",
        "Succeeded": true
      },
      "PackageId": "string",
      "Version": "string"
    }
  ]
}

Upload a package to the built in package feed

POST /api/{spaceId}/packages/raw

Also reachable at /api/packages/raw, /api/spaces/{spaceIdentifier}/packages/raw.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — PackageFromBuiltInFeedResource returned

  • Description string
  • FeedId string
  • FileExtension string
  • Hash string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NuGetFeedId string
  • NuGetPackageId string
  • PackageId string
  • PackageSizeBytes integer
  • PackageVersionBuildInformation object
    • Branch string
    • BuildEnvironment string
    • BuildNumber string
    • BuildUrl string
    • Commits array of object
    • Created string
      Format date-time.
    • Id string
      Gets or sets a unique identifier for this resource.
    • IncompleteDataWarning string
    • IssueTrackerName string
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • PackageId string
    • VcsCommitNumber string
    • VcsCommitUrl string
    • VcsRoot string
    • VcsType string
    • Version string
    • WorkItems array of object
  • Published string
    Format date-time.
  • ReleaseNotes string
  • Summary string
  • Title string
  • Version string

Example Response

JSON
{
  "Description": "string",
  "FeedId": "string",
  "FileExtension": "string",
  "Hash": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NuGetFeedId": "string",
  "NuGetPackageId": "string",
  "PackageId": "string",
  "PackageSizeBytes": 0,
  "PackageVersionBuildInformation": {
    "Branch": "string",
    "BuildEnvironment": "string",
    "BuildNumber": "string",
    "BuildUrl": "string",
    "Commits": [
      {
        "Comment": "string",
        "Id": "string",
        "LinkUrl": "string"
      }
    ],
    "Created": "2020-01-01T00:00:00.000Z",
    "Id": "string",
    "IncompleteDataWarning": "string",
    "IssueTrackerName": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "PackageId": "string",
    "VcsCommitNumber": "string",
    "VcsCommitUrl": "string",
    "VcsRoot": "string",
    "VcsType": "string",
    "Version": "string",
    "WorkItems": [
      {
        "Description": "string",
        "Id": "string",
        "LinkUrl": "string",
        "Source": "string"
      }
    ]
  },
  "Published": "2020-01-01T00:00:00.000Z",
  "ReleaseNotes": "string",
  "Summary": "string",
  "Title": "string",
  "Version": "string"
}

Validate a package intended for the built in package feed, but does not write the package

POST /api/{spaceId}/packages/raw/validate

Also reachable at /api/packages/raw/validate, /api/spaces/{spaceIdentifier}/packages/raw/validate.

Path Parameters

  • spaceId string (required)

Response

200 — The validation issue detected for a package, or null if the package passes all validation checks.

  • Issue enum
    Allowed values: CorruptedNugetPackage, CouldNotValidate, EmptyFile, FileNameTooLong, InvalidCharactersInFileName, InvalidPackageId, PackageAlreadyExists, UnsupportedFileExtension.

Example Response

JSON
{
  "Issue": "CorruptedNugetPackage"
}

Return package information for the specified package id

GET /api/{spaceId}/packages/{id}

Also reachable at /api/packages/{id}, /api/spaces/{spaceIdentifier}/packages/{id}.

Path Parameters

  • id string (required)
    The ID of the package to retrieve.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • includeNotes boolean
    Include release notes in the response.
  • includeWorkItems boolean

Response

200 — The requested Built-in package

  • Description string
  • FeedId string
  • FileExtension string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NuGetFeedId string
  • NuGetPackageId string
  • PackageId string
  • PackageVersionBuildInformation object
    • Branch string
    • BuildEnvironment string
    • BuildNumber string
    • BuildUrl string
    • Commits array of object
    • Created string
      Format date-time.
    • Id string
      Gets or sets a unique identifier for this resource.
    • IncompleteDataWarning string
    • IssueTrackerName string
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • PackageId string
    • VcsCommitNumber string
    • VcsCommitUrl string
    • VcsRoot string
    • VcsType string
    • Version string
    • WorkItems array of object
  • Published string
    Format date-time.
  • ReleaseNotes string
  • Summary string
  • Title string
  • Version string

Example Response

JSON
{
  "Description": "string",
  "FeedId": "string",
  "FileExtension": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NuGetFeedId": "string",
  "NuGetPackageId": "string",
  "PackageId": "string",
  "PackageVersionBuildInformation": {
    "Branch": "string",
    "BuildEnvironment": "string",
    "BuildNumber": "string",
    "BuildUrl": "string",
    "Commits": [
      {
        "Comment": "string",
        "Id": "string",
        "LinkUrl": "string"
      }
    ],
    "Created": "2020-01-01T00:00:00.000Z",
    "Id": "string",
    "IncompleteDataWarning": "string",
    "IssueTrackerName": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "PackageId": "string",
    "VcsCommitNumber": "string",
    "VcsCommitUrl": "string",
    "VcsRoot": "string",
    "VcsType": "string",
    "Version": "string",
    "WorkItems": [
      {
        "Description": "string",
        "Id": "string",
        "LinkUrl": "string",
        "Source": "string"
      }
    ]
  },
  "Published": "2020-01-01T00:00:00.000Z",
  "ReleaseNotes": "string",
  "Summary": "string",
  "Title": "string",
  "Version": "string"
}

Delete the specified Package

DELETE /api/{spaceId}/packages/{id}

Also reachable at /api/packages/{id}, /api/spaces/{spaceIdentifier}/packages/{id}.

Path Parameters

  • id string (required)
    Id of the Package to delete.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

Download the specified package from the built in feed

GET /api/{spaceId}/packages/{id}/raw

Also reachable at /api/packages/{id}/raw, /api/spaces/{spaceIdentifier}/packages/{id}/raw.

Path Parameters

  • id string (required)
    The ID of the package to download.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

Example Response

JSON
"string"

Delete the specified Package

DELETE /api/{spaceId}/packages/{id}/v1

Also reachable at /api/packages/{id}/v1, /api/spaces/{spaceIdentifier}/packages/{id}/v1.

Path Parameters

  • id string (required)
    Id of the Package to delete.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the Package was deleted

Example Response

JSON
{}

Upload a delta patch for the given file. Used to optimize file upload

POST /api/{spaceId}/packages/{packageId}/{baseVersion}/delta

Also reachable at /api/packages/{packageId}/{baseVersion}/delta, /api/spaces/{spaceIdentifier}/packages/{packageId}/{baseVersion}/delta.

Path Parameters

  • baseVersion string (required)
    The version of the package that was used to create the signature.
  • packageId string (required)
    Package ID of the package to be uploaded.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — PackageFromBuiltInFeedResource returned

  • Description string
  • FeedId string
  • FileExtension string
  • Hash string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NuGetFeedId string
  • NuGetPackageId string
  • PackageId string
  • PackageSizeBytes integer
  • PackageVersionBuildInformation object
    • Branch string
    • BuildEnvironment string
    • BuildNumber string
    • BuildUrl string
    • Commits array of object
    • Created string
      Format date-time.
    • Id string
      Gets or sets a unique identifier for this resource.
    • IncompleteDataWarning string
    • IssueTrackerName string
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • PackageId string
    • VcsCommitNumber string
    • VcsCommitUrl string
    • VcsRoot string
    • VcsType string
    • Version string
    • WorkItems array of object
  • Published string
    Format date-time.
  • ReleaseNotes string
  • Summary string
  • Title string
  • Version string

Example Response

JSON
{
  "Description": "string",
  "FeedId": "string",
  "FileExtension": "string",
  "Hash": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NuGetFeedId": "string",
  "NuGetPackageId": "string",
  "PackageId": "string",
  "PackageSizeBytes": 0,
  "PackageVersionBuildInformation": {
    "Branch": "string",
    "BuildEnvironment": "string",
    "BuildNumber": "string",
    "BuildUrl": "string",
    "Commits": [
      {
        "Comment": "string",
        "Id": "string",
        "LinkUrl": "string"
      }
    ],
    "Created": "2020-01-01T00:00:00.000Z",
    "Id": "string",
    "IncompleteDataWarning": "string",
    "IssueTrackerName": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "PackageId": "string",
    "VcsCommitNumber": "string",
    "VcsCommitUrl": "string",
    "VcsRoot": "string",
    "VcsType": "string",
    "Version": "string",
    "WorkItems": [
      {
        "Description": "string",
        "Id": "string",
        "LinkUrl": "string",
        "Source": "string"
      }
    ]
  },
  "Published": "2020-01-01T00:00:00.000Z",
  "ReleaseNotes": "string",
  "Summary": "string",
  "Title": "string",
  "Version": "string"
}

Request the delta-signature for a given package. Used to optimize file upload

GET /api/{spaceId}/packages/{packageId}/{version}/delta-signature

Also reachable at /api/packages/{packageId}/{version}/delta-signature, /api/spaces/{spaceIdentifier}/packages/{packageId}/{version}/delta-signature.

Path Parameters

  • packageId string (required)
    Package ID of the package to be uploaded.
  • spaceId string (required)
    The ID of the space containing the resource(s).
  • version string (required)
    The version of the package to be uploaded.

Response

200 — Returns the delta-signature for a given package. Used to optimize file upload.

  • BaseVersion string
  • Signature string
    Format byte.

Example Response

JSON
{
  "BaseVersion": "string",
  "Signature": "c3RyaW5n"
}